# DataExchange
TKSTEPBase
StepGeom

# StepGeom_TrimmingMember Class Reference

For immediate members of TrimmingSelect, i.e. :
ParameterValue (a Real)
.

`#include <StepGeom_TrimmingMember.hxx>`

Inheritance diagram for StepGeom_TrimmingMember:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_TrimmingMember ()
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Tells if a SelectMember has a name. Default is False .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns the name of a SelectMember. Default is empty .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Sets the name of a SelectMember, returns True if done, False if no name is allowed Default does nothing and returns False .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_TrimmingMember::StepGeom_TrimmingMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_TrimmingMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectReal.

virtual Standard_EXPORT Standard_Boolean StepGeom_TrimmingMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepGeom_TrimmingMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Boolean StepGeom_TrimmingMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

The documentation for this class was generated from the following file:

- StepGeom_TrimmingMember.hxx